using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.DM
{
    public class T_DM_DEVICE_CHECK_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 设备检查
        /// </summary>
        [Description("设备检查")]
        [DataFieldForeignKey("Nav_CheckDetail", "Nav_DetailFiles")]
        public Guid CHECK_DETAIL_ID { get; set; }
        /// <summary>
        /// 设备检查
        /// </summary>
        [Description("设备检查")]
        public T_DM_DEVICE_CHECK_DETAIL Nav_CheckDetail { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
